Docs

Reference

Mark a signal

Mark keyword signals new / saved / ignored.

View MarkdownThis page is generated from the source code on every release.

Mark keyword signals new / saved / ignored.

Overview

Name Value
Code signals.set_status
Scope needed discovery.write
Risk Write
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager
In the app Discover → Signals

Input fields

Field Type Required Description
ids uuid[] Yes
status "new" | "saved" | "ignored" Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/signals.set_status \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"ids":[],"status":"new"}'

Output fields (data)

Field Type Required
ok true Yes
changed number Yes

Example answer

{
  "data": {
    "ok": true,
    "changed": 1
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "signals.set_status". Tool name when listed: signals_set_status.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0